Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.secdnsext.v11
Class EPPSecDNSExtInfData

    java.lang.Object
      com.verisign.epp.codec.secdnsext.v11.EPPSecDNSExtInfData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSecDNSExtInfData

extends java.lang.Object
implements EPPCodecComponent

The EPPSecDNSExtInfData is the EPPCodecComponent that knows how to encode and decode secDNS infData elements from/to XML and object instance.

Title: EPP 1.0 secDNS

Description: secDNS Extension to the EPP SDK

Copyright: Copyright (c) 2010

Company: VeriSign

Version:
  1.1
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_MAX_SIG_LIFE` The element tag name for maxSigLife
`static java.lang.String` | `ELM_NAME` Element tag name for the infData
`static int` | `MAX_MAX_SIG_LIFE` Maximum maxSigLife value
`static int` | `MIN_MAX_SIG_LIFE` Minimum maxSigLife value
`static int` | `UNSPEC_MAX_SIG_LIFE` Unspecified maxSigLife value

Constructor Summary
`EPPSecDNSExtInfData()` Instantiate a new instance of `EPPSecDNSExtInfData`.
`EPPSecDNSExtInfData(java.util.List aDsData, java.util.List aKeyData, int aMaxSigLife)` Creates a new instance of the `EPPSecDNSExtInfData` with the DS DATA element.

Method Summary
`void` | `appendDsData(EPPSecDNSExtDsData aDsData)` Appends to the `List` of DS Data `EPPSecDNSExtDsData` instances.
`void` | `appendKeyData(EPPSecDNSExtKeyData aKeyData)` Appends to the `List` of DS Data `EPPSecDNSExtKeyData` instances to create.
`java.lang.Object` | `clone()` Clone `EPPSecDNSExtInfData`.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this secDNS create to the given DOM Document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPSecDNSExtInfData` compare.
`java.util.List` | `getDsData()` Gets the dsData.
`java.util.List` | `getKeyData()` Gets the keyData.
`int` | `getMaxSigLife()` Get secDNS:maxSigLife value
`java.lang.String` | `getNamespace()` The namespace associated with this secDNS infData.
`boolean` | `hasDsData()` Is there dsData contained in `EPPSecDNSExtInfData`?
`boolean` | `hasKeyData()` Is there keyData contained in `EPPSecDNSExtInfData`?
`boolean` | `hasMaxSigLife()` Does secDNS:infData include optional secDNS:maxSigLife?
`void` | `setDsData(java.util.List aDsData)` Sets the `List` of DS Data `EPPSecDNSExtDsData` instances.
`void` | `setKeyData(java.util.List aKeyData)` Sets the `List` of DS Data `EPPSecDNSExtKeyData` instances to create
`void` | `setMaxSigLife(int maxSigLife)` Set secDNS:maxSigLife value

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNSPEC_MAX_SIG_LIFE

    public static final int UNSPEC_MAX_SIG_LIFE

  Unspecified maxSigLife value

  See Also:
    Constant Field Values

### MIN_MAX_SIG_LIFE

    public static final int MIN_MAX_SIG_LIFE

  Minimum maxSigLife value

  See Also:
    Constant Field Values

### MAX_MAX_SIG_LIFE

    public static final int MAX_MAX_SIG_LIFE

  Maximum maxSigLife value

  See Also:
    Constant Field Values

### ELM_MAX_SIG_LIFE

    public static final java.lang.String ELM_MAX_SIG_LIFE

  The element tag name for maxSigLife

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for the infData

  See Also:
    Constant Field Values

Constructor Detail

### EPPSecDNSExtInfData

    public EPPSecDNSExtInfData()

  Instantiate a new instance of `EPPSecDNSExtInfData`. Set either `dsData` or `keyData` prior to calling `encode(Document)`.

### EPPSecDNSExtInfData

    public EPPSecDNSExtInfData(java.util.List aDsData,
                               java.util.List aKeyData,
                               int aMaxSigLife)

  Creates a new instance of the `EPPSecDNSExtInfData` with the DS DATA element.

  Parameters:
    `aDsData` - `List` of DS Data `EPPSecDNSExtDsData` instances if using DS Data Interface.
    `aKeyData` - `List` of Key Data `EPPSecDNSExtKeyData` instance if using Key Data Interface.
    `aMaxSigLife` - Child's preference for the number of seconds after signature generation when the parent's signature on the DS information provided by the child will expire. Set to `UNSPEC_MAX_SIG_LIFE` if there is no preference.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  The namespace associated with this secDNS infData.

  Returns:
    The namespace associated with secDNS component

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this secDNS create to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPSecDNSExtInfData` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPSecDNSExtInfData` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPSecDNSExtInfData`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPSecDNSExtInfData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### hasDsData

    public boolean hasDsData()

  Is there dsData contained in `EPPSecDNSExtInfData`?

  Returns:
    `true` if list of `EPPSecDNSExtDsData` is not `null` and not empty; `false` otherwise.

### getDsData

    public java.util.List getDsData()

  Gets the dsData.

  Returns:
    `List` of dsData `EPPSecDNSExtDsData` instances if defined; `null` otherwise.

### setDsData

    public void setDsData(java.util.List aDsData)

  Sets the `List` of DS Data `EPPSecDNSExtDsData` instances.

  Parameters:
    `aDsData` - `List` of `EPPSecDNSExtDsData` instances

### appendDsData

    public void appendDsData(EPPSecDNSExtDsData aDsData)

  Appends to the `List` of DS Data `EPPSecDNSExtDsData` instances.

  Parameters:
    `aDsData` - `EPPSecDNSExtDsData` instance

### hasKeyData

    public boolean hasKeyData()

  Is there keyData contained in `EPPSecDNSExtInfData`?

  Returns:
    `true` if list of `EPPSecDNSExtKeyData` is not `null` and not empty; `false` otherwise.

### getKeyData

    public java.util.List getKeyData()

  Gets the keyData.

  Returns:
    `List` of keyData `EPPSecDNSExtKeyData` instances if defined; `null` otherwise.

### setKeyData

    public void setKeyData(java.util.List aKeyData)

  Sets the `List` of DS Data `EPPSecDNSExtKeyData` instances to create

  Parameters:
    `aKeyData` - `List` of `EPPSecDNSExtKeyData` instances

### appendKeyData

    public void appendKeyData(EPPSecDNSExtKeyData aKeyData)

  Appends to the `List` of DS Data `EPPSecDNSExtKeyData` instances to create.

  Parameters:
    `aKeyData` - `EPPSecDNSExtKeyData` instance

### getMaxSigLife

    public int getMaxSigLife()

  Get secDNS:maxSigLife value

  Returns:
    an `int` value representing secDNS:maxSigLife
  See Also:
    `hasMaxSigLife()`, `UNSPEC_MAX_SIG_LIFE`

### setMaxSigLife

    public void setMaxSigLife(int maxSigLife)

  Set secDNS:maxSigLife value

  Parameters:
    `maxSigLife` - an `int` value representing secDNS:maxSigLife

### hasMaxSigLife

    public boolean hasMaxSigLife()

  Does secDNS:infData include optional secDNS:maxSigLife?

  Returns:
    true if secDNS:maxSigLife is specified, otherwise false
  See Also:
    `UNSPEC_MAX_SIG_LIFE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.